mnoGoSearch 3.3.9 reference manual: Full-featured search engine software
Prev |  | Next

# UserScoreFactor

## Name

UserScoreFactor -- sets the effect of the UserScore command

`search.htm`

## Synopsis

UserScoreFactor {number}

##

UserScoreFactor sets the effect of user defined scores when they are mixed with usual scores calculated by mnoGoSearch.

UserScoreFactor is to be used with a number in the range `0..255`, in combination with a UserScore command.

The default value is `0`, which means the user defined scores are not taken into account and the final score values depend only on the internal scores as calculated by mnoGoSearch.

`255` means maximum effect of user defined values.

## Examples

    UserScore list1 "SELECT id, score FROM mytable WHERE url.rec_id=mytable.id"
    UserScoreFactor 10

## See also

IDFFactor UserScore MinCoordFactor NumDistinctWordFactor NumWordFactor DateFactor

Prev | Home | Next
UserSiteScore | Up | VarDir